org.apache.ignite.internal.processors.platform.datastreamer

## Class PlatformStreamReceiverImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate
  - - org.apache.ignite.internal.processors.platform.datastreamer.PlatformStreamReceiverImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformStreamReceiver, StreamReceiver<Object,Object>

    public class PlatformStreamReceiverImpl
    extends PlatformAbstractPredicate
    implements PlatformStreamReceiver

Interop receiver.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`ctx, pred, ptr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformStreamReceiverImpl()` Constructor.
`PlatformStreamReceiverImpl(Object pred, long ptr, boolean keepBinary, PlatformContext ctx)` Constructor.

### Method Summary

Methods
`void` `readExternal(ObjectInput in)`
`void` `receive(IgniteCache<Object,Object> cache, Collection<Map.Entry<Object,Object>> collection)` Updates cache with batch of entries.
`void` `setIgniteInstance(Ignite ignite)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformStreamReceiverImpl

    public PlatformStreamReceiverImpl()

Constructor.

#### PlatformStreamReceiverImpl

    public PlatformStreamReceiverImpl(Object pred,
                              long ptr,
                              boolean keepBinary,
                              PlatformContext ctx)

Constructor.

Parameters:
  `pred` - .Net binary receiver.
  `ptr` - Pointer to receiver in the native platform.
  `ctx` - Kernal context.

### Method Detail

#### receive

    public void receive(IgniteCache<Object,Object> cache,
               Collection<Map.Entry<Object,Object>> collection)
                 throws IgniteException

Updates cache with batch of entries.

Specified by:
  `receive` in interface `StreamReceiver<Object,Object>`
Parameters:
  `cache` - Cache.
  `collection` - Collection of entries.
Throws:
  `IgniteException` - If failed.

#### setIgniteInstance

    @IgniteInstanceResource
    public void setIgniteInstance(Ignite ignite)

Parameters:
  `ignite` - Ignite instance.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `PlatformAbstractPredicate`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `PlatformAbstractPredicate`
Throws:
  `IOException`
  `ClassNotFoundException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017